Bug 999651 - splitting the sos report to modules - Cinder
splitting the sos report to modules - Cinder
Status: CLOSED CURRENTRELEASE
Product: RDO
Classification: Community
Component: openstack-cinder (Show other bugs)
unspecified
Unspecified Unspecified
high Severity high
: Milestone3
: Havana
Assigned To: Alan Pevec
Giulio Fidente
:
Depends On:
Blocks: 999587
  Show dependency treegraph
 
Reported: 2013-08-21 15:25 EDT by lpeer
Modified: 2016-04-26 20:18 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: 999587
: 999653 (view as bug list)
Environment:
Last Closed: 2015-04-16 18:40:11 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description lpeer 2013-08-21 15:25:33 EDT
+++ This bug was initially created as a clone of Bug #999587 +++

Description of problem:

Using component naming instead of a single product naming could help make the sos plugin easier to maintain.

Instead of having -
 https://github.com/sosreport/sosreport/blob/master/sos/plugins/openstack.py

We should have module per component: nova, neutron, heat, ceilometer, glance, etc, etc

Other relevant information can be found on the thread -
http://post-office.corp.redhat.com/archives/rh-openstack-dev/2013-August/msg00364.html

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.

Actual results:


Expected results:


Additional info:
Comment 1 lpeer 2013-08-21 15:27:46 EDT
please create openstack-cinder.py
Comment 2 Flavio Percoco 2013-08-27 08:39:53 EDT
Created PR https://github.com/sosreport/sosreport/pull/189
Comment 3 Flavio Percoco 2013-09-09 04:48:33 EDT
Merged upstream
Comment 5 Alan Pevec 2015-04-16 18:40:11 EDT
openstack plugins have been included into sos 3.2

Note You need to log in before you can comment on or make changes to this bug.